PTHREAD_CURCPU_NP(3)

NAME
pthread_curcpu_np - get current CPU identifier

SYNOPSIS
#include <pthread.h>
unsigned int
pthread_curcpu_np(void);

DESCRIPTION
The pthread_curcpu_np() function provides a way for a thread to know which CPU it's currently running on.

Note that, unless the thread is bound to a specific CPU, the result might be already stale when the function returns. However, it still can be useful as a hint to achieve better CPU locality.

RETURN VALUES
The pthread_curcpu_np() function returns the integer identifier of the CPU which is currently running the calling thread.

COMPATIBILITY
The pthread_curcpu_np() function is a non-standard extension.

SEE ALSO
affinity(3), pthread(3)